package com.vodori.cms.component.navigation.tag;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.tagext.TagSupport;
import java.io.IOException;

/**
 * @author Ben Fagin (Vodori)
 * @version 1/19/11
 */
public class HelloTag extends TagSupport {
	private String[] _names;

	public void setNames(String names[]) {
		_names = names;
	}

	public void setName(String name) {
		_names = new String[]{ name };
	}

	@Override
	public int doStartTag() throws JspException {
		StringBuilder sb = new StringBuilder();

		if (_names != null && _names.length != 0) {
			if (_names.length == 1) {
				sb.append("Hello ").append(_names[0]).append("!");
			} else {
				sb.append("Hello to ").append(_names[0]).append(", ");

				for (int i=1; i < _names.length-1; ++i) {
					sb.append(_names[i]).append(", ");
				}

				sb.append("and ").append(_names[_names.length-1]).append("!");
			}
		}

		try {
			pageContext.getOut().print(sb.toString());
		} catch(Exception ex) {
			throw new JspException(ex);
		}

		return EVAL_BODY_INCLUDE;
	}

	@Override
	public int doEndTag() throws JspException {
		try {
			pageContext.getOut().print("<br/>");
		} catch(IOException ioe) {
			throw new JspException(ioe.getMessage());
		}

		// continue evaluating the page
		return EVAL_PAGE;
	}
}



